Bug 1438679 - [ipa-replica-install] - IncorrectPasswordException: Incorrect client security database password
Summary: [ipa-replica-install] - IncorrectPasswordException: Incorrect client security...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Abhijeet Kasurde
URL:
Whiteboard:
: 1440232 (view as bug list)
Depends On:
Blocks: 1396494
TreeView+ depends on / blocked
 
Reported: 2017-04-04 07:59 UTC by Petr Vobornik
Modified: 2017-08-01 09:47 UTC (History)
7 users (show)

Fixed In Version: ipa-4.5.0-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:47:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
console.log (18.28 KB, text/plain)
2017-06-05 07:13 UTC, Abhijeet Kasurde
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Petr Vobornik 2017-04-04 07:59:25 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6839

"ipa-replica-install" (with CA and KRA) fails with:

```text
Installation failed: Command '['pki', '-d', '/etc/pki/pki-tomcat/alias', '-C', '/etc/pki/pki-tomcat/pfile', 'pkcs12-cert-find', '--pkcs12-file', '/tmp/tmpNGl512', '--pkcs12-password-file', '/tmp/tmpD5QigX/password.txt']' returned non-zero exit status 255
```

Comment 2 Petr Vobornik 2017-04-04 08:00:24 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6839

Comment 5 Petr Vobornik 2017-04-13 15:56:02 UTC
*** Bug 1440232 has been marked as a duplicate of this bug. ***

Comment 6 Abhijeet Kasurde 2017-06-05 07:12:45 UTC
Verified using IPA server version::
ipa-server-4.5.0-14.el7.x86_64

Marking BZ as verified. See attachment for console.log.

Comment 7 Abhijeet Kasurde 2017-06-05 07:13:41 UTC
Created attachment 1284925 [details]
console.log

Comment 8 errata-xmlrpc 2017-08-01 09:47:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.